#include "Win32Frame.h"
#include "InnerMethod.h"

HWND ghWnd = NULL;
LRESULT OnCreate(HWND hWnd, WPARAM wParam, LPARAM lParam)
{
	_CenterWindow(hWnd);

	ghWnd = hWnd;

	return 0;
}

LRESULT OnPaint(HWND hWnd, WPARAM wParam, LPARAM lParam)
{
	PAINTSTRUCT ps;
	HDC hDC = BeginPaint(hWnd, &ps);
	
	const TCHAR* szInfo	= _T("Hello, Win32 App");
	RECT rtWnd;
	GetClientRect(hWnd, &rtWnd);
	SetBkMode(hDC, TRANSPARENT);
	SetTextColor(hDC, RGB(200, 100, 200));
	DrawText(hDC, szInfo, -1, &rtWnd, DT_SINGLELINE|DT_VCENTER|DT_CENTER);

	EndPaint(hWnd, &ps);

	return 0;
}

LRESULT OnDestroy(HWND hWnd, WPARAM wParam, LPARAM lParam)
{
	PostQuitMessage(0);

	return 0;
}



































